## bluez 5.68

=== debian/changelog ===
bluez (5.68-2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sun, 06 Aug 2023 19:23:57 +0300

bluez (5.68-2) unstable; urgency=medium

  * d/rules: export DEB_CFLAGS_MAINT_APPEND
  * d/patches: Add Add-HCI_TO_STR-macro-for-FIRMWARE_DIR.patch (Closes: #1036546)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 06 Aug 2023 08:42:46 +0900

bluez (5.68-1) unstable; urgency=medium

  * Update to 5.68.
  * d/patches/obex-Use-GLib-helper-function-to-manipulate-paths.patch: Update.
  * d/control: Drop lsb-base from Depends of bluez.
  * Update d/patches/Fix-typo.patch.
  * Install dbus policy in /usr instead of /etc.
  * d/control: Remove unnecessary Conflicts and Replace.
  * d/NEWS: Remove it.
  * d/rules: Override FIRMWARE_DIR to /lib/firmware. (Closes: #1036546)
    Thanks to undef <debian@undef.tools>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 06 Aug 2023 07:02:04 +0900

=== debian/control ===
Source: bluez
Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               flex,
               bison,
               libdbus-1-dev (>= 1.6),
               libglib2.0-dev,
               libdw-dev,
               libudev-dev,
               libreadline-dev,
               libical-dev,
               libasound2-dev,
               libell-dev (>= 0.39),
               libjson-c-dev (>= 0.13),
               python3-docutils,
               udev,
               check <!nocheck>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/bluetooth-team/bluez
Vcs-Git: https://salsa.debian.org/bluetooth-team/bluez.git
Homepage: http://www.bluez.org

Package: libbluetooth3
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to use the BlueZ Linux Bluetooth stack
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: libbluetooth-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: libbluetooth3 (= ${binary:Version}),
         libc6-dev | libc-dev,
         ${misc:Depends}
Suggests: pkg-config
Provides: libbluetooth3-dev
Description: Development files for using the BlueZ Linux Bluetooth library
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).
 .
 This package contains the development libraries and header files you need to
 develop your programs using the libbluetooth library.

Package: bluetooth
Architecture: all
Depends: ${misc:Depends},
         bluez
Suggests: bluez-cups,
	  bluez-obexd,
	  bluez-meshd
Description: Bluetooth support (metapackage)
 This package provides all of the different plugins supported
 by the Bluez bluetooth stack.

Package: bluez
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         kmod,
         udev,
         default-dbus-system-bus | dbus-system-bus
Pre-Depends: ${misc:Pre-Depends}
Suggests: pulseaudio-module-bluetooth
Description: Bluetooth tools and daemons
 This package contains tools and system daemons for using Bluetooth devices.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-cups
Architecture: linux-any
Depends: ${shlibs:Depends},
         cups,
         ${misc:Depends}
Description: Bluetooth printer driver for CUPS
 This package contains a driver to let CUPS print to Bluetooth-connected
 printers.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-obexd
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: dbus-user-session
Description: bluez obex daemon
 This package contains a OBEX(OBject EXchange) daemon.
 .
 OBEX is communication protocol to facilitate the exchange of the binary
 object between the devices.
 .
 This was the software that is independent as obexd, but this has been
 integrated into BlueZ from BlueZ 5.0.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-meshd
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: bluetooth mesh daemon
 The Bluetooth Mesh network is a new Bluetooth feature that extends "Bluetooth
 Low Energy (BLE)".
 .
 This package provides daemon (meshd) and tools that provide Bluetooth mesh
 functionality.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-hcidump
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Analyses Bluetooth HCI packets
 The hcidump utility allows the monitoring of Bluetooth activity.
 It provides a disassembly of the Bluetooth traffic and can display
 packets from higher level protocols such as RFCOMM, SDP and BNEP.
 .
 This was the software that is independent as bluez-hcidump, but this has been
 integrated into BlueZ from BlueZ 5.0.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-test-tools
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         bluez (= ${binary:Version})
Description: test tools of bluez
 This package contains test tools for using BlueZ.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-test-scripts
Architecture: all
Depends: ${misc:Depends}
Description: test scripts of bluez
 This package contains test scripts for using BlueZ.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

Package: bluez-source
Architecture: all
Depends: ${misc:Depends}
Description: Source code for the BlueZ Linux Bluetooth stack
 This package contains the sources and patches which are needed
 to build bluez.
 .
 BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
 project distributed under GNU General Public License (GPL).

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
CONFIGURE_FLAGS := \
	--disable-silent-rules \
	--with-dbusconfdir=/usr/share \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--enable-static \
	--enable-tools \
	--enable-cups \
	--enable-mesh \
	--enable-midi	\
	--enable-datafiles \
	--enable-threads \
	--enable-backtrace \
	--enable-debug \
	--enable-library \
	--enable-test \
	--enable-nfc \
	--enable-sap \
	--enable-monitor \
	--enable-udev \
	--enable-obex \
	--enable-client \
	--enable-testing \
	--disable-systemd \
	--enable-threads \
	--enable-sixaxis \
	--enable-deprecated \
	--enable-health \
	--enable-hid2hci \
	--enable-external-ell \
	--enable-experimental

DEB_CFLAGS_MAINT_APPEND += -DFIRMWARE_DIR=/lib/firmware
export DEB_CFLAGS_MAINT_APPEND

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   skip_packages = -Nbluez-cups
endif

%:
	dh $@ --exclude=.la

override_dh_install:
	# Remove test scripts, and these are taken directly into the package
	# from the test directory
	rm -rf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/bluez
	dh_install

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_installinit:
	dh_installinit -pbluez --name=bluetooth --restart-after-upgrade

override_dh_auto_test:
	# disable

override_dh_builddeb:
	dh_builddeb ${skip_packages}

override_dh_gencontrol:
	dh_gencontrol ${skip_packages}

override_dh_fixperms-indep:
	dh_fixperms
	chmod 0644 debian/bluez-test-scripts/usr/share/doc/bluez-test-scripts/examples/*

override_dh_auto_install-indep: build_bluez-source
BUILDDIRSOURCE := $(shell pwd)/debian/tmp-source/bluez-source
build_bluez-source:
	install -d debian/bluez-source/usr/src
	mkdir -p $(BUILDDIRSOURCE)
	tar --exclude debian --exclude .git --exclude .pc \
		--exclude autom4te.cache \
		--exclude config.log \
		--exclude config.status \
		--exclude Makefile \
		--exclude libtool \
		-cf - . | (cd $(BUILDDIRSOURCE) && tar -xf -)
	cd $(dir $(BUILDDIRSOURCE)) \
		&& tar --sort=name \
			--mtime="@${SOURCE_DATE_EPOCH}" \
			--owner=0 --group=0 --numeric-owner \
			--pax-option=exthdr.name=%d/PaxHeaders/%f,delete=atime,delete=ctime \
			-cjf $(shell pwd)/debian/bluez-source/usr/src/bluez.tar.bz2 \
		$(notdir $(BUILDDIRSOURCE))

override_dh_missing:
	dh_missing --list-missing

## bluez 5.70

=== debian/changelog ===
bluez (5.70-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind
  * include runit scripts

 -- anticapitalista <antix@operamail.com>  Wed, 25 Oct 2023 16:34:02 +0300

bluez (5.70-1) unstable; urgency=medium

  * Update to 5.70.
  * d/clean: Add debian/tmp-source. (Closes: #1044111)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 24 Oct 2023 15:17:00 +0900

bluez (5.69-1) unstable; urgency=medium

  * Update to 5.69.
  * Update d/patches/Fix-typo.patch.
  * Update d/bluez.manpages.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 28 Aug 2023 09:38:44 +0900

=== debian/rules ===
--- 
+++ 
@@ -56,11 +56,17 @@
 override_dh_installinit:
 	dh_installinit -pbluez --name=bluetooth --restart-after-upgrade
 
+#override_dh_installsystemd:
+#	dh_installsystemd -pbluez --name=bluetooth bluetooth.service
+
 override_dh_auto_test:
 	# disable
 
 override_dh_builddeb:
 	dh_builddeb ${skip_packages}
+
+override_dh_missing:
+	dh_missing --list-missing
 
 override_dh_gencontrol:
 	dh_gencontrol ${skip_packages}
@@ -88,6 +94,3 @@
 			--pax-option=exthdr.name=%d/PaxHeaders/%f,delete=atime,delete=ctime \
 			-cjf $(shell pwd)/debian/bluez-source/usr/src/bluez.tar.bz2 \
 		$(notdir $(BUILDDIRSOURCE))
-
-override_dh_missing:
-	dh_missing --list-missing

## bluez 5.71

=== debian/changelog ===
bluez (5.71-1ubuntu2) noble; urgency=medium

  * Do not install several files for bluez-test-tools, our tarballs are
    different.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 10 Jan 2024 20:36:41 -0600

bluez (5.71-1ubuntu1) noble; urgency=medium

  [ Gianfranco Costamagna ]
  * Merge from sid (LP: #2047780)

  [ Simon Quigley ]
  * Remove libell-dev and check from build dependencies (and the corresponding
    build flags.) These are not in Main.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 10 Jan 2024 18:36:31 -0600

bluez (5.71-1) unstable; urgency=medium

  * Update to 5.71.
  * d/patches: Drop input.conf-Change-default-of-ClassicBondedOnly.patch.
  * Update d/bluez.manpages.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 03 Jan 2024 02:43:51 +0900

bluez (5.70-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 15 Dec 2023 20:57:14 +0100

bluez (5.70-1.1~exp0) experimental; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052983)

  [ Chris Hofstaedtler ]
  * Defer udev file placement to udev's pkg-config data (Closes: #1056996)
  * Install hciconfig into /usr/bin instead of /bin

  [ Salvatore Bonaccorso ]
  * input.conf: Change default of ClassicBondedOnly (CVE-2023-45866)
    (Closes: #1057914)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 14 Dec 2023 22:32:44 +0100

bluez (5.71-0ubuntu3) noble; urgency=medium

  * Denylist libebook1.2-dev on i386.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Jan 2024 14:25:13 -0600

bluez (5.71-0ubuntu2) noble; urgency=medium

  [ Gianfranco Costamagna ]
  * Update debhelper compat to 13 (LP: #2047780).

  [ Simon Quigley ]
  * Update the init system overrides in debian/rules for the move to debhelper
    13.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Jan 2024 14:01:12 -0600

bluez (5.71-0ubuntu1) noble; urgency=medium

  * New upstream release 5.71 (LP: #2047780):
    - Fix issue with not registering CSIS service.
    - Fix issue with registering pairing callbacks.
    - Fix issue with corruption during discovery filter parsing.
  * Drop upstreamed patches:
    - 303925b28110469ad002ac19ce0eb9c84d6aceb2.patch
    - CVE-2023-45866.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 03 Jan 2024 17:32:31 +0800

bluez (5.70-0ubuntu3) noble; urgency=medium

  * SECURITY UPDATE: make conf compliant to HID specification
    - debian/patches/CVE-2023-45866.patch: input.conf: Change default of
      ClassicBondedOnly
    - CVE-2023-45866

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 29 Nov 2023 14:31:59 +0530

bluez (5.70-0ubuntu2) noble; urgency=medium

  * Fix btmgmt --index option (thanks to Juerg Haefliger) (LP: #2041496)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 21 Nov 2023 11:08:37 +0000

bluez (5.70-0ubuntu1) noble; urgency=medium

  * debian/bluez-meshd.maintscript, debian/bluez.maintscript:
    - remove the deprecated confiles on upgrade

  [ Daniel van Vugt ]
  * New upstream release 5.70 (LP: #2036149):
    - Fix issue with not sending GATT confirmations.
    - Fix issue with not handling initiator properly.
    - Fix issue with not checking PBAP counter length.
    - Add support for MICP profile and MICS service.
  * Includes release 5.69:
    - Fix issue with BAP enabling state correctly when resuming.
    - Fix issue with detaching source ASEs only after Stop Ready.
    - Fix issue with handling VCP audio location and descriptor.
    - Fix issue with generating IRK for adapter with privacy enabled.
    - Add support for BAP broadcast sink.
  * bluez.install, bluez-meshd.install: Moved system.d conf files from
    /etc/dbus-1/system.d/ to /usr/share/dbus-1/system.d/

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Oct 2023 21:30:27 +0200

bluez (5.68-0ubuntu1) mantic; urgency=medium

  * Move FIRMWARE_DIR change out of raspi-bcm43xx-load-firmware.patch and
    into its own patch: use-lib-firmware.patch
  * New upstream release 5.68 (LP: #2025599):
    - Fix issue with A2DP and handling of Transport.Acquire.
  * Includes short-lived upstream release 5.67:
    - Fix issue with BAP and initiating QoS and Enable procedures.
    - Fix issue with BAP and detaching streams when PAC is removed.
    - Fix issue with BAP and reading all instances of PAC.
    - Fix issue with BAP and not being able to reconfigure.
    - Fix issue with BAP and transport configuration changes.
    - Fix issue with BAP and handling unexpected disconnect.
    - Fix issue with GATT and not removing pending services.
    - Fix issue with GATT and client ready handling.
    - Fix issue with handling fallback to transient hostname.
    - Add support for SecureConnections configuration option.
    - Add support for Mesh Remove Provisioning.
    - Add support for Mesh Private Beacons.
  * Dropped patches:
    - obex-Use-GLib-helper-function-to-manipulate-paths.patch rather
      than resolving the conflicts it has with upstream now. It was proposed
      in 2013 and raised again in 2017 where it was rejected by upstream.
  * Refreshed patches:
    - 0002-hostname-handle-chassis-type-handset.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 06 Jul 2023 12:09:23 +0200

bluez (5.66-0ubuntu1) lunar; urgency=medium

  * New upstream release 5.66 (LP: #1997201):
    - Fix issue with A2DP and transport connection collisions.
    - Fix issue with allowing application specific error codes.
    - Fix issue with not setting initiator flag correctly.
    - Fix issue with HoG Report MAP size handling.
    - Add initial support for Basic Audio Profile.
    - Add initial support for Volume Control Profile.
  * Refreshed patches:
    - raspi-bcm43xx-load-firmware.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 30 Nov 2022 16:31:09 +0800

bluez (5.65-0ubuntu1) kinetic; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: bluez
-Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: admin
 Priority: optional
@@ -13,15 +14,15 @@
                libreadline-dev,
                libical-dev,
                libasound2-dev,
-               libell-dev (>= 0.39),
                libjson-c-dev (>= 0.13),
                python3-docutils,
                udev,
-               check <!nocheck>
+               systemd,
+               systemd-dev,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/bluetooth-team/bluez
-Vcs-Git: https://salsa.debian.org/bluetooth-team/bluez.git
+Vcs-Git: https://git.launchpad.net/~bluetooth/bluez
+Vcs-Browser: https://git.launchpad.net/~bluetooth/bluez
 Homepage: http://www.bluez.org
 
 Package: libbluetooth3
@@ -141,6 +142,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          bluez (= ${binary:Version})
+Breaks: bluez-tests (<< 5.71-1ubuntu1)
+Replaces: bluez-tests (<< 5.71-1ubuntu1)
 Description: test tools of bluez
  This package contains test tools for using BlueZ.
  .

=== debian/rules ===
--- 
+++ 
@@ -24,14 +24,14 @@
 	--enable-udev \
 	--enable-obex \
 	--enable-client \
-	--enable-testing \
-	--disable-systemd \
+	--enable-systemd \
 	--enable-threads \
 	--enable-sixaxis \
 	--enable-deprecated \
 	--enable-health \
+	--enable-usb \
+	--enable-phonebook-ebook \
 	--enable-hid2hci \
-	--enable-external-ell \
 	--enable-experimental
 
 DEB_CFLAGS_MAINT_APPEND += -DFIRMWARE_DIR=/lib/firmware
@@ -40,6 +40,9 @@
 ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
    skip_packages = -Nbluez-cups
 endif
+
+export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
+export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)
 
 %:
 	dh $@ --exclude=.la
@@ -56,17 +59,14 @@
 override_dh_installinit:
 	dh_installinit -pbluez --name=bluetooth --restart-after-upgrade
 
-#override_dh_installsystemd:
-#	dh_installsystemd -pbluez --name=bluetooth bluetooth.service
+override_dh_installsystemd:
+	dh_installsystemd -pbluez --name=bluetooth bluetooth.service
 
 override_dh_auto_test:
 	# disable
 
 override_dh_builddeb:
 	dh_builddeb ${skip_packages}
-
-override_dh_missing:
-	dh_missing --list-missing
 
 override_dh_gencontrol:
 	dh_gencontrol ${skip_packages}

## bluez 5.72

=== debian/changelog ===
bluez (5.72-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:10:25 +0000

bluez (5.72-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:28:49 +0000

bluez (5.72-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:04:41 +0000

bluez (5.72-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:56:51 +0000

bluez (5.72-0ubuntu1) noble; urgency=medium

  * New upstream release 5.72 (LP: #2049352):
    - Fix issue with BAP and handling stream IO linking.
    - Fix issue with BAP and setup of multiple streams per endpoint.
    - Fix issue with AVDTP and potential incorrect transaction label.
    - Fix issue with A2DP and handling crash on suspend.
    - Fix issue with GATT database and an invalid pointer.
    - Add support for AICS service.
  * Add bluetoothctl.1 man page to bluez package.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 16 Jan 2024 15:15:23 +0800

bluez (5.71-1ubuntu3) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
  * Add Ubuntu patches
    - lp1759836.patch
    - 0002-hostname-handle-chassis-type-handset.patch
    - ubuntu_error_restart.patch
    - raspi-bcm43xx-load-firmware.patch
    - raspi-bcm43xx-3wire.patch
    - raspi-cypress-305-bdaddr.patch
  * Tweak Debian patches
    - work-around-Logitech-diNovo-Edge-keyboard-firmware-i.patch
      Update patch (Closes: #1060393)
    - Change-shebang-from-usr-bin-python-to-usr-bin-python.patch
      Update patch to cope with different tarball
  * Add testsuite (Closes: #1060395)
  * Enable usb and phonebook-ebook support
  * Break/Replace old bluez-tests, due to binary renaming
  * rm conffiles in postrm and preinst
  * Install source_bluez.py
  * Disable bluetooth service by default in init script

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jan 2024 18:16:54 +0100

=== debian/rules ===
--- 
+++ 
@@ -24,14 +24,16 @@
 	--enable-udev \
 	--enable-obex \
 	--enable-client \
+	--enable-testing \
 	--enable-systemd \
 	--enable-threads \
 	--enable-sixaxis \
 	--enable-deprecated \
 	--enable-health \
+	--enable-hid2hci \
+	--enable-external-ell \
 	--enable-usb \
 	--enable-phonebook-ebook \
-	--enable-hid2hci \
 	--enable-experimental
 
 DEB_CFLAGS_MAINT_APPEND += -DFIRMWARE_DIR=/lib/firmware

=== debian/tests/control ===
Tests: bluez_response
Depends: python3-aptdaemon.test:native, python3-dbus:native, bluez, bluez-test-scripts
Restrictions: needs-root, isolation-container

## bluez 5.73

=== debian/changelog ===
bluez (5.73-1.1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind
  * include runit scripts

 -- anticapitalista <antix@operamail.com>  Tue, 30 Jul 2024 17:11:26 +0300

bluez (5.73-1.1) unstable; urgency=medium

  * tests: don't fail on output to stderr (Closes: #1071147)
  * tests: mark the test as superficial as it doesn't test anything now

 -- Paul Gevers <elbrus@debian.org>  Sun, 28 Jul 2024 17:14:24 +0200

bluez (5.73-1) unstable; urgency=medium

  * Update to 5.73. (Closes: #1060795, #1060242)
  * d/patches:
    - Drop allow-using-obexd-without-systemd-in-the-user-sessio.patch.
    - Drop change_path_of_hogsuspend.patch.
    - Update org.bluez.obex.service.in.patch.
    - Drop Change-shebang-from-usr-bin-python-to-usr-bin-python.patch
    - Update work-around-Logitech-diNovo-Edge-keyboard-firmware-i.patch.
      (Closes: #1060393)
  * d//libbluetooth*.install:
    - Drop sixaxis.[a|so] from libbluetooth*.install.
  * d/bluez-meshd.install: Install mesh-main.conf.
  * d/bluez.install: Change install path of config files.
  * d/bluez.manpages: Change install path of manpages.
  * d/bluez-obexd.install: Install dbus-org.bluez.obex.service.
  * d/control:
    - Change from pkg-config to pkgconf with libbluetooth-dev.
    - Add systemd-dev only with Build-Depends. (Closes: #1060516)
    - Bumped Standards-Version to 4.7.0.
  * d/tests:
    - Add simple testsuite from Ubuntu. (Closes: #1060395)
  * d/libbluetooth3.symbols: Update
  * d/copyright:
    - Drop unprovided source files.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 10 Apr 2024 20:25:04 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: bluez
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
+Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: admin
 Priority: optional
@@ -14,15 +13,16 @@
                libreadline-dev,
                libical-dev,
                libasound2-dev,
+               libell-dev (>= 0.39),
                libjson-c-dev (>= 0.13),
                python3-docutils,
+	       python3-pygments,
                udev,
-               systemd,
-               systemd-dev,
-Standards-Version: 4.6.1
+               check <!nocheck>
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Git: https://git.launchpad.net/~bluetooth/bluez
-Vcs-Browser: https://git.launchpad.net/~bluetooth/bluez
+Vcs-Browser: https://salsa.debian.org/bluetooth-team/bluez
+Vcs-Git: https://salsa.debian.org/bluetooth-team/bluez.git
 Homepage: http://www.bluez.org
 
 Package: libbluetooth3
@@ -43,7 +43,7 @@
 Depends: libbluetooth3 (= ${binary:Version}),
          libc6-dev | libc-dev,
          ${misc:Depends}
-Suggests: pkg-config
+Suggests: pkgconf
 Provides: libbluetooth3-dev
 Description: Development files for using the BlueZ Linux Bluetooth library
  BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
@@ -142,8 +142,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          bluez (= ${binary:Version})
-Breaks: bluez-tests (<< 5.71-1ubuntu1)
-Replaces: bluez-tests (<< 5.71-1ubuntu1)
 Description: test tools of bluez
  This package contains test tools for using BlueZ.
  .

## bluez 5.76

=== debian/changelog ===
bluez (5.76-0ubuntu2) oracular; urgency=medium

  * debian/tests/bluez-response:
    - fix the autopkgtest with the newer python versions

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Jul 2024 14:10:57 +0200

bluez (5.76-0ubuntu1) oracular; urgency=medium

  * New upstream release 5.76 (LP: #2064213)
    - Fix issue with broadcast channel location and stream capabilities.
    - Fix issue with handling BIS management and synchronization.
    - Fix issue with handling Extended Advertising.
    - Fix issue with UserspaceHID and replay structures.
    - Add support for providing PPCP characteristic.
  * New upstream release 5.75:
    - Fix issue with build system and header inclusion.
  * New upstream release 5.74:
    - Fix issue with not enabling Wideband Speech when available.
    - Fix issue with UserspaceHID and Bluetooth Classic devices.
    - Fix issue with checking for services being connected.
    - Fix issue with GATT client connection creation.
    - Fix issue with OBEX and small file transfers.
    - Fix issue with handling pairing with Apple AirPods.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 04 Jul 2024 16:32:02 +0800

bluez (5.73-1ubuntu2) oracular; urgency=medium

  * Don't try to build ebook phonebook support on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 17:42:59 -0400

bluez (5.73-1ubuntu1) oracular; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add apport hook
    - Use ebook phonebook plugin
    - Add patches:
      + 0002-hostname-handle-chassis-type-handset.patch
      + lp1759836.patch
      + raspi-bcm43xx-load-firmware.patch
      + raspi-bcm43xx-3wire.patch
      + raspi-cypress-305-bdaddr.patch
      + ubuntu_error_restart.patch
  * Dropped changes:
    - Conffile removals: these haven't been needed since Ubuntu 20.04 LTS
    - Breaks/Replaces not needed after Ubuntu 24.04 LTS
    - Disable bluetooth service by default in init script
      + Ubuntu uses systemd instead
  * Fix enabling ebook phonebook plugin

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 17:01:16 -0400

## bluez 5.77

=== debian/changelog ===
bluez (5.77-0ubuntu2.2) oracular; urgency=medium

  * d/patches: add reconnect-hsp-on-a2dp-reconnect.patch to fix HSP/HFP
    connection after resuming from suspend on systems with NVIDIA proprietary
    driver. (LP: #2092158)

 -- Yao Wei (é­�éŠ˜å»·) <yao.wei@canonical.com>  Thu, 10 Apr 2025 11:19:38 +0800

bluez (5.77-0ubuntu2) oracular; urgency=medium

  * debian/patches/git-reconnect-fix.patch:
   - cherry pick an upstream fix to resolve reconnection problems for 
     devices after a suspend or restart (lp: #2085162)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 22 Nov 2024 11:10:16 +0100

bluez (5.77-0ubuntu1) oracular; urgency=medium

  * New upstream release 5.77 (LP: #2073492):
    - Fix issue with storing and handling connection parameters.
    - Fix issue with handling device that are marked as temporary.
    - Fix issue with HID and special handling for non-keyboards.
    - Fix issue with BR/EDR not support when discoverable is off.
    - Add support for initial implementation of ASHA profile.
  * Add new man pages l2cap.7 and rfcomm.7 to libbluetooth-dev

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 18 Jul 2024 19:06:30 +0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: bluez
-Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: admin
 Priority: optional
@@ -7,6 +8,7 @@
                flex,
                bison,
                libdbus-1-dev (>= 1.6),
+               libebook1.2-dev [!i386 !alpha !m68k !ppc64 !sh4 !x32],
                libglib2.0-dev,
                libdw-dev,
                libudev-dev,
@@ -18,11 +20,12 @@
                python3-docutils,
 	       python3-pygments,
                udev,
-               check <!nocheck>
+               check <!nocheck>,
+               systemd-dev,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/bluetooth-team/bluez
-Vcs-Git: https://salsa.debian.org/bluetooth-team/bluez.git
+Vcs-Git: https://git.launchpad.net/~bluetooth/bluez
+Vcs-Browser: https://git.launchpad.net/~bluetooth/bluez
 Homepage: http://www.bluez.org
 
 Package: libbluetooth3

=== debian/rules ===
--- 
+++ 
@@ -32,12 +32,14 @@
 	--enable-health \
 	--enable-hid2hci \
 	--enable-external-ell \
-	--enable-usb \
-	--enable-phonebook-ebook \
 	--enable-experimental
 
 DEB_CFLAGS_MAINT_APPEND += -DFIRMWARE_DIR=/lib/firmware
 export DEB_CFLAGS_MAINT_APPEND
+
+ifeq (,$(filter $(DEB_HOST_ARCH),i386 alpha m68k ppc64 sh4 x32))
+  CONFIGURE_FLAGS += --with-phonebook=ebook
+endif
 
 ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
    skip_packages = -Nbluez-cups

=== debian/tests/control ===
Tests: bluez-response
Depends: python3-dbus:native, bluez, bluez-test-scripts
Restrictions: needs-root, isolation-container

## bluez 5.78

=== debian/changelog ===
bluez (5.78-0ubuntu2) plucky; urgency=medium

  * Revert "Updated to new cups backend path". While testing the build on
    Oracular required that change at the time, the archive seems to want
    the old syntax when building for Plucky.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 21 Oct 2024 17:02:23 +0800

bluez (5.78-0ubuntu1) plucky; urgency=medium

  * New upstream release 5.78 (LP: #2084775):
    - Fix issue with handling notification of scanned BISes to BASS
    - Fix issue with handling checking BIS caps against peer caps.
    - Fix issue with handling MGMT Set Device Flags overwrites.
    - Fix issue with handling ASE notification order.
    - Fix issue with handling BIG Info report events.
    - Fix issue with handling PACS Server role.
    - Fix issue with registering UHID_START multiple times.
    - Fix issue with pairing method not setting auto-connect.
  * Drop upstreamed patch: raspi-cypress-305-bdaddr.patch
  * Updated to new cups backend path.
  * Add new man pages: org.bluez.MediaAssistant.5 and bluetoothctl-assistant.1

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 17 Oct 2024 15:32:23 +0800

## bluez 5.79

=== debian/changelog ===
bluez (5.79-2ubuntu1.3) plucky; urgency=medium

  [ Dirk Su ]
  * Further improve audio profiles compatibility (LP: #2122382), now replacing
    a2dp-Remove-Endpoints-cache-entries-on-device-remova.patch with
    cleanup-endpoints-when-devices-been-removed.patch as upstream did.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 17 Sep 2025 14:18:50 +0800

bluez (5.79-2ubuntu1.2) plucky; urgency=medium

  [ Dirk Su ]
  * Improve audio profiles compatibility (LP: #2122382)
    d/patches: audio-upgrade-versions-to-latest-possible-to-qualify.patch
    d/patches: a2dp-Remove-Endpoints-cache-entries-on-device-remova.patch
    d/patches: profiles-avdtp-Fix-reply-for-bad-media-transport-for.patch

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 12 Sep 2025 11:38:02 +0800

bluez (5.79-2ubuntu1.1) plucky; urgency=medium

  * d/patches/reconnect-hsp-on-a2dp-reconnect.patch: Correct the patch to fix
    HSP/HFP connection issue with NVIDIA proprietary driver. (LP: #2092158)

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Thu, 10 Apr 2025 11:26:22 +0800

bluez (5.79-2ubuntu1) plucky; urgency=medium

  * d/patches: add reconnect-hsp-on-a2dp-reconnect.patch to fix HSP/HFP
    connection after resuming from suspend on systems with NVIDIA proprietary
    driver. (LP: #2092158)

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Thu, 27 Mar 2025 17:35:39 +0100

bluez (5.79-2) unstable; urgency=medium

  * Team upload
  * Have bluez depend on adduser since it's used by the postint script
    (Closes: #1100139)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Mar 2025 09:31:04 -0400

bluez (5.79-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add apport hook
  * Drop obsolete Pre-Depends
  * debian/rules: minor cleanup
  * Use ebook phonebook plugin
  * autopkgtest: update syntax for Python 3.12
  * Add patches from Ubuntu
    - 0002-hostname-handle-chassis-type-handset.patch
    - lp1759836.patch
    - raspi-bcm43xx-load-firmware.patch
    - raspi-bcm43xx-3wire.patch
    - raspi-cypress-305-bdaddr.patch
    - ubuntu_error_restart.patch

  [ Nobuhiro Iwamatsu ]
  * New upstream version 5.79
    (Closes: #1086526, #1031599, #1083183)
  * d/patches: Drop raspi-cypress-305-bdaddr.patch.
  * Install newly added files.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 04 Nov 2024 07:19:59 +0900

bluez (5.77-1) unstable; urgency=medium

  * Update to 5.77. (Closes: #1070269)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 16 Aug 2024 15:46:59 +0900

=== debian/control ===
--- 
+++ 
@@ -18,14 +18,14 @@
                libell-dev (>= 0.39),
                libjson-c-dev (>= 0.13),
                python3-docutils,
-	       python3-pygments,
+               python3-pygments,
                udev,
                check <!nocheck>,
                systemd-dev,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Git: https://git.launchpad.net/~bluetooth/bluez
-Vcs-Browser: https://git.launchpad.net/~bluetooth/bluez
+Vcs-Browser: https://salsa.debian.org/bluetooth-team/bluez
+Vcs-Git: https://salsa.debian.org/bluetooth-team/bluez.git
 Homepage: http://www.bluez.org
 
 Package: libbluetooth3
@@ -34,7 +34,6 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: Library to use the BlueZ Linux Bluetooth stack
  BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
  project distributed under GNU General Public License (GPL).
@@ -71,10 +70,10 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         adduser,
          kmod,
          udev,
          default-dbus-system-bus | dbus-system-bus
-Pre-Depends: ${misc:Pre-Depends}
 Suggests: pulseaudio-module-bluetooth
 Description: Bluetooth tools and daemons
  This package contains tools and system daemons for using Bluetooth devices.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 CONFIGURE_FLAGS := \
-	--disable-silent-rules \
 	--with-dbusconfdir=/usr/share \
-	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	--enable-static \
 	--enable-tools \
 	--enable-cups \
@@ -51,11 +49,10 @@
 %:
 	dh $@ --exclude=.la
 
-override_dh_install:
+execute_before_dh_install:
 	# Remove test scripts, and these are taken directly into the package
 	# from the test directory
 	rm -rf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/bluez
-	dh_install
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
@@ -75,8 +72,7 @@
 override_dh_gencontrol:
 	dh_gencontrol ${skip_packages}
 
-override_dh_fixperms-indep:
-	dh_fixperms
+execute_after_dh_fixperms-indep:
 	chmod 0644 debian/bluez-test-scripts/usr/share/doc/bluez-test-scripts/examples/*
 
 override_dh_auto_install-indep: build_bluez-source

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%.gz$%.sign%, decompress" \
	https://www.kernel.org/pub/linux/bluetooth/bluez-@ANY_VERSION@\.tar\.gz

## bluez 5.82

=== debian/changelog ===
bluez (5.82-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not start mpris-proxy for system users (Closes: #1094257)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 03 Jun 2025 20:48:11 +0200

bluez (5.82-1) unstable; urgency=medium

  * Team upload

  [ Jochen Sprickerhof ]
  * New upstream version 5.82 (LP: #2092158)
  * Install new upstream config and manpage file
  * Update d/copyright
  * Update Debian patches
  * Add Build-Depends-Package to symbols file

  [ Diederik de Haas ]
  * Drop obsolete main.conf.patch & bluetooth.conf.patch

  [ Michael Biebl ]
  * Fix removal of obsolete conffile /etc/dbus-1/system.d/bluetooth.conf
    (Closes: #1043453)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 10:59:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: bluez
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
+Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: admin
 Priority: optional

## bluez 5.83

=== debian/changelog ===
bluez (5.83-1~exp1ubuntu0.1) questing; urgency=medium

  * d/patches: Fix bug where pre_run would not be called for
    non-interactive commands (LP: #2127186)

 -- Tobias Heider <tobias.heider@canonical.com>  Thu, 16 Oct 2025 13:22:15 +0200

bluez (5.83-1~exp1) experimental; urgency=medium

  * New upstream version 5.83.
  * d/patches: Update Fix-typo.patch
  * debian/bluez.manpages: Install man7/mgmt.7
  * d/control: Bumped Standards-Version to 4.7.2

  [Salvatore Bonaccorso]
  * Do not start mpris-proxy for system users (Closes: #1094257)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 25 Jun 2025 06:44:40 +0900

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: bluez
-Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: admin
 Priority: optional
@@ -21,7 +22,7 @@
                udev,
                check <!nocheck>,
                systemd-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/bluetooth-team/bluez
 Vcs-Git: https://salsa.debian.org/bluetooth-team/bluez.git

## bluez 5.84

=== debian/changelog ===
bluez (5.84-1) unstable; urgency=medium

  * New upstream version 5.84.
  * d/patches:
    - Drop Fix-typo.patch.
    - Drop shared-gatt-client-Fix-segfault-after-PIN-entry.patch.
    - Drop headers-use-releative-symlinks.patch.
    - Do-not-start-mpris-proxy-for-system-users.patch.
  * d/bluez.manpages: Install org.bluez.Bearer.*.5
  * d/libbluetooth-dev.manpages: intall man7/iso.7
  * d/copyright: Fix superfluous-file-pattern warning

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 27 Sep 2025 10:43:55 +0900

bluez (5.83-1) unstable; urgency=medium

  * Upload to unstable.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 27 Sep 2025 09:11:49 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: bluez
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
+Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: admin
 Priority: optional

=== debian/tests/control ===
Tests: bluez-response
Depends: python3-dbus:native, bluez, bluez-test-scripts
Restrictions: needs-root, isolation-container, allow-stderr, superficial

## bluez 5.85

=== debian/changelog ===
bluez (5.85-3) unstable; urgency=medium

  * Team upload
  * Move Depends: evolution-data-server from bluez to bluez-obexd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Jan 2026 21:20:43 -0500

bluez (5.85-2) unstable; urgency=medium

  * Team upload
  * Add Depends: evolution-data-server (Closes: #1123793)
  * Don't enable SIM Access Profile feature (Closes: #803265)
  * Revert "Don't build evolution-data-server backend feature on loong64"
  * Add Multi-Arch: foreign to packages as recommended by the Multiarch hinter

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Jan 2026 08:53:20 -0500

bluez (5.85-1) unstable; urgency=medium

  * Team upload

  [ Nobuhiro Iwamatsu ]
  * New upstream version 5.85.

  [ Jeremy Bícha ]
  * Introduce a pkg.bluez.noeds build profile to avoid circular dependency
    with evolution-data-server when bootstrapping
  * Don't build evolution-data-server backend feature on loong64 for bootstrapping
  * Don't build bluez-test-scripts with the nodoc or noinsttest build profiles
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 Jan 2026 09:59:17 -0500

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,25 @@
 Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: admin
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               bison,
+               check <!nocheck>,
                flex,
-               bison,
+               libasound2-dev,
                libdbus-1-dev (>= 1.6),
-               libebook1.2-dev [!i386 !alpha !m68k !ppc64 !sh4 !x32],
+               libdw-dev,
+               libebook1.2-dev [!i386] <!pkg.bluez.noeds>,
+               libell-dev (>= 0.39),
                libglib2.0-dev,
-               libdw-dev,
+               libical-dev,
+               libjson-c-dev (>= 0.13),
+               libreadline-dev,
                libudev-dev,
-               libreadline-dev,
-               libical-dev,
-               libasound2-dev,
-               libell-dev (>= 0.39),
-               libjson-c-dev (>= 0.13),
                python3-docutils,
                python3-pygments,
-               udev,
-               check <!nocheck>,
                systemd-dev,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+               udev
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/bluetooth-team/bluez
 Vcs-Git: https://salsa.debian.org/bluetooth-team/bluez.git
 Homepage: http://www.bluez.org
@@ -31,8 +29,8 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Library to use the BlueZ Linux Bluetooth stack
  BlueZ is the official Linux Bluetooth protocol stack. It is an Open Source
  project distributed under GNU General Public License (GPL).
@@ -55,11 +53,12 @@
 
 Package: bluetooth
 Architecture: all
-Depends: ${misc:Depends},
-         bluez
+Multi-Arch: foreign
+Depends: bluez,
+         ${misc:Depends}
 Suggests: bluez-cups,
-	  bluez-obexd,
-	  bluez-meshd
+          bluez-meshd,
+          bluez-obexd
 Description: Bluetooth support (metapackage)
  This package provides all of the different plugins supported
  by the Bluez bluetooth stack.
@@ -67,12 +66,12 @@
 Package: bluez
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         adduser,
+Depends: adduser,
+         default-dbus-system-bus | dbus-system-bus,
          kmod,
          udev,
-         default-dbus-system-bus | dbus-system-bus
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: pulseaudio-module-bluetooth
 Description: Bluetooth tools and daemons
  This package contains tools and system daemons for using Bluetooth devices.
@@ -82,9 +81,9 @@
 
 Package: bluez-cups
 Architecture: linux-any
-Depends: ${shlibs:Depends},
-         cups,
-         ${misc:Depends}
+Depends: cups,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Bluetooth printer driver for CUPS
  This package contains a driver to let CUPS print to Bluetooth-connected
  printers.
@@ -94,8 +93,9 @@
 
 Package: bluez-obexd
 Architecture: linux-any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         evolution-data-server [!i386] <!pkg.bluez.noeds>,
 Recommends: dbus-user-session
 Description: bluez obex daemon
  This package contains a OBEX(OBject EXchange) daemon.
@@ -111,8 +111,8 @@
 
 Package: bluez-meshd
 Architecture: linux-any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: bluetooth mesh daemon
  The Bluetooth Mesh network is a new Bluetooth feature that extends "Bluetooth
  Low Energy (BLE)".
@@ -125,8 +125,8 @@
 
 Package: bluez-hcidump
 Architecture: linux-any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Analyses Bluetooth HCI packets
  The hcidump utility allows the monitoring of Bluetooth activity.
  It provides a disassembly of the Bluetooth traffic and can display
@@ -140,9 +140,9 @@
 
 Package: bluez-test-tools
 Architecture: linux-any
-Depends: ${shlibs:Depends},
+Depends: bluez (= ${binary:Version}),
          ${misc:Depends},
-         bluez (= ${binary:Version})
+         ${shlibs:Depends}
 Description: test tools of bluez
  This package contains test tools for using BlueZ.
  .
@@ -151,6 +151,10 @@
 
 Package: bluez-test-scripts
 Architecture: all
+Multi-Arch: foreign
+# Build if (!nodoc) && (!noinsttest)
+# nodoc would produce an empty package
+Build-Profiles: <!nodoc !noinsttest>
 Depends: ${misc:Depends}
 Description: test scripts of bluez
  This package contains test scripts for using BlueZ.
@@ -160,6 +164,7 @@
 
 Package: bluez-source
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Source code for the BlueZ Linux Bluetooth stack
  This package contains the sources and patches which are needed

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 	--enable-library \
 	--enable-test \
 	--enable-nfc \
-	--enable-sap \
 	--enable-monitor \
 	--enable-udev \
 	--enable-obex \
@@ -35,8 +34,11 @@
 DEB_CFLAGS_MAINT_APPEND += -DFIRMWARE_DIR=/lib/firmware
 export DEB_CFLAGS_MAINT_APPEND
 
-ifeq (,$(filter $(DEB_HOST_ARCH),i386 alpha m68k ppc64 sh4 x32))
+ifeq (,$(filter pkg.bluez.noeds,$(DEB_BUILD_PROFILES)))
+# Ubuntu doesn't build evolution-data-server on i386
+ifeq (,$(filter $(DEB_HOST_ARCH),i386))
   CONFIGURE_FLAGS += --with-phonebook=ebook
+endif
 endif
 
 ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
@@ -73,7 +75,9 @@
 	dh_gencontrol ${skip_packages}
 
 execute_after_dh_fixperms-indep:
+ifneq ($(filter bluez-test-scripts,$(shell dh_listpackages)),)
 	chmod 0644 debian/bluez-test-scripts/usr/share/doc/bluez-test-scripts/examples/*
+endif
 
 override_dh_auto_install-indep: build_bluez-source
 BUILDDIRSOURCE := $(shell pwd)/debian/tmp-source/bluez-source

=== debian/tests/control ===
Tests: bluez-response
Depends: bluez,
         bluez-test-scripts,
         python3-dbus:native
Restrictions: allow-stderr,
              isolation-container,
              needs-root,
              superficial

## bluez peripheral-0.1.7

=== docs/requirements.txt ===
dbus_next
sphinx
sphinx_rtd_theme
m2r2
